Main project version management : link with sub-projects version
2009-05-29 14:58 - loic Le Gallou

Status: Closed Start date: 2009-05-29
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

We have several software products which are composed of independent programs. Each version of a product refers to a distinct
programs version. We manage these kind of software in Redmine with a main project which include subprojects. The problem is the
version management:

e we can set the version of the main project
e we can set the version of each sub-project

But we cannot link main project version and sub-projects version (ie: version X of main project refer to version A of sub-project 1,
version B of sub-project 2, ...)

It would be great to have this feature.

By the way, currently the Roadmap page of a main project does not show information if there isn't an issue defined directly in the
project. With this feature, the main project Roadmap page could display version's issues based on sub-projects issues.

Related issues:
Is duplicate of Redmine - Feature #465: Inheritence of Versions to Subprojects Closed

History

#1 - 2009-06-12 17:36 - Anonymous

It sounds like this might be better described as a Meta-Project, or as a group of projects. The Meta-project would have no data of its own, but would
consolidate the data of its member projects. It might be cleared implemented this way rather than adding additional options to project/subproject
settings.

#2 - 2009-12-06 11:27 - Jean-Philippe Lang

By the way, currently the Roadmap page of a main project does not show information if there isn't an issue defined directly in the project. With
this feature, the main project Roadmap page could display version's issues based on sub-projects issues.

As of r3123, subprojects can be included in the main project roadmap view.

#3 - 2009-12-09 02:42 - Eric Davis
- Status changed from New to Closed

- Resolution set to Duplicate

You can use the changes in #465 to share a version from the main project to the subprojects.
